DorkOS
ApiCapabilities

Get runtime capabilities

GET
/api/capabilities

Returns capabilities for all registered runtimes, keyed by type string, along with the default runtime type.

Response Body

application/json

curl -X GET "https://example.com/api/capabilities"
{  "capabilities": {    "property1": {      "type": "string",      "supportsToolApproval": true,      "supportsCostTracking": true,      "supportsResume": true,      "supportsMcp": true,      "supportsManagedMcpServers": true,      "supportsQuestionPrompt": true,      "supportsPlugins": true,      "permissionModes": {        "supported": true,        "default": "string",        "values": [          {            "id": "string",            "label": "string",            "description": "string",            "stop": "ask",            "promise": "string",            "asks": "always",            "reach": "read",            "axis": "trust",            "native": "string"          }        ]      },      "settings": {        "configSection": "string",        "supportsEffort": true,        "sections": [          {            "kind": "string"          }        ]      },      "features": {        "property1": null,        "property2": null      }    },    "property2": {      "type": "string",      "supportsToolApproval": true,      "supportsCostTracking": true,      "supportsResume": true,      "supportsMcp": true,      "supportsManagedMcpServers": true,      "supportsQuestionPrompt": true,      "supportsPlugins": true,      "permissionModes": {        "supported": true,        "default": "string",        "values": [          {            "id": "string",            "label": "string",            "description": "string",            "stop": "ask",            "promise": "string",            "asks": "always",            "reach": "read",            "axis": "trust",            "native": "string"          }        ]      },      "settings": {        "configSection": "string",        "supportsEffort": true,        "sections": [          {            "kind": "string"          }        ]      },      "features": {        "property1": null,        "property2": null      }    }  },  "defaultRuntime": "string"}